Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
ipe::StyleSheet::PageNumberStyle Struct Reference

`#include <ipestyle.h>`

## Public Attributes
bool | iDefined
Vector | iPos
Attribute | iSize
Attribute | iColor
THorizontalAlignment | iHorizontalAlignment
TVerticalAlignment | iVerticalAlignment
String | iText

## Detailed Description

How to show page numbers on the paper.

## Member Data Documentation

bool ipe::StyleSheet::PageNumberStyle::iDefined

Has a PageNumberStyle been defined in the style sheet?

Referenced by ipe::ImlParser::parseStyle().

Vector ipe::StyleSheet::PageNumberStyle::iPos

Position on the page.

Referenced by ipe::Latex::addPageNumber(), and ipe::ImlParser::parseStyle().

Attribute ipe::StyleSheet::PageNumberStyle::iSize

Text size.

Referenced by ipe::Latex::addPageNumber(), and ipe::ImlParser::parseStyle().

Attribute ipe::StyleSheet::PageNumberStyle::iColor

Text color.

Referenced by ipe::Latex::addPageNumber(), and ipe::ImlParser::parseStyle().

THorizontalAlignment ipe::StyleSheet::PageNumberStyle::iHorizontalAlignment

Text alignment, horizontal.

Referenced by ipe::Latex::addPageNumber(), and ipe::ImlParser::parseStyle().

TVerticalAlignment ipe::StyleSheet::PageNumberStyle::iVerticalAlignment

Text alignment, vertical.

Referenced by ipe::Latex::addPageNumber(), and ipe::ImlParser::parseStyle().

String ipe::StyleSheet::PageNumberStyle::iText

Template text.

Referenced by ipe::Latex::addPageNumber(), and ipe::ImlParser::parseStyle().

The documentation for this struct was generated from the following file:

- ipestyle.h